package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: SurveyTeacherViewResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/16
 */
public class SurveyTeacherViewResult implements Serializable {

    @ApiModelProperty(value = "分数段")
    private List<SurveyTeacherGradeDistributionResult> gradeDistribution;

    @ApiModelProperty(value = "题目信息")
    private QuestionListResult questionInfo;

    @ApiModelProperty(value = "分数分布")
    private SurveyTeacherExamCourseResult surveyTeacher;

    @ApiModelProperty(value = "开课学院考试概况")
    private TeachCourseSurveyResult teachCourseSurveyResult;

    @ApiModelProperty(value = "我的课堂考试概况")
    private TeachCourseResult teachCourseResult;

    public SurveyTeacherViewResult() {

    }

    public SurveyTeacherViewResult(List<SurveyTeacherGradeDistributionResult> gradeDistribution, QuestionListResult questionInfo, SurveyTeacherExamCourseResult surveyTeacher, TeachCourseSurveyResult teachCourseSurveyResult) {
        this.gradeDistribution = gradeDistribution;
        this.questionInfo = questionInfo;
        this.surveyTeacher = surveyTeacher;
        this.teachCourseSurveyResult = teachCourseSurveyResult;
    }

    public SurveyTeacherViewResult(List<SurveyTeacherGradeDistributionResult> gradeDistribution, TeachCourseResult teachCourseResult, QuestionListResult questionInfo, SurveyTeacherExamCourseResult surveyTeacher) {
        this.gradeDistribution = gradeDistribution;
        this.teachCourseResult = teachCourseResult;
        this.questionInfo = questionInfo;
        this.surveyTeacher = surveyTeacher;
    }

    public List<SurveyTeacherGradeDistributionResult> getGradeDistribution() {
        return gradeDistribution;
    }

    public void setGradeDistribution(List<SurveyTeacherGradeDistributionResult> gradeDistribution) {
        this.gradeDistribution = gradeDistribution;
    }

    public QuestionListResult getQuestionInfo() {
        return questionInfo;
    }

    public void setQuestionInfo(QuestionListResult questionInfo) {
        this.questionInfo = questionInfo;
    }

    public SurveyTeacherExamCourseResult getSurveyTeacher() {
        return surveyTeacher;
    }

    public void setSurveyTeacher(SurveyTeacherExamCourseResult surveyTeacher) {
        this.surveyTeacher = surveyTeacher;
    }

    public TeachCourseSurveyResult getTeachCourseSurveyResult() {
        return teachCourseSurveyResult;
    }

    public void setTeachCourseSurveyResult(TeachCourseSurveyResult teachCourseSurveyResult) {
        this.teachCourseSurveyResult = teachCourseSurveyResult;
    }

    public TeachCourseResult getTeachCourseResult() {
        return teachCourseResult;
    }

    public void setTeachCourseResult(TeachCourseResult teachCourseResult) {
        this.teachCourseResult = teachCourseResult;
    }
}
